%define ver_major 2.16

Name: bug-buddy
Version: %ver_major.0
Release: alt2

Summary: Utility to ease the reporting of bugs within the GNOME Desktop Environment
Group: Graphical desktop/GNOME
License: GPL
URL: http://www.gnome.org/softwaremap/projects/bug-buddy/

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
Source1: bug-buddy-48.png
Source2: bug-buddy-32.png
Source3: bug-buddy-16.png

# From configure.in
%define intltool_ver 0.29
%define scrollkeeper_ver 0.3.8
%define gnome_menu_ver 2.11.1
%define libgnomeui_ver 2.5.92
%define libxml_ver 2.4.6
%define gtk_ver 2.9
%define soup_ver 2.2.96
%define libgtop_ver 2.13.3
%define eds_ver 1.3.0
%define libnm_glib_ver 0.6.2

PreReq: GConf2
PreReq: scrollkeeper >= %scrollkeeper_ver
# This one is needed to open core files.
Requires: gdb

# If only libsoup had symbol versioning...
Requires: libsoup >= %soup_ver

# From configure.in
BuildPreReq: intltool >= %intltool_ver
BuildPreReq: scrollkeeper >= %scrollkeeper_ver
BuildPreReq: libbonobo2-devel libgnome-desktop-devel gnome-vfs2-devel
BuildPreReq: libgnome-menus-devel >= %gnome_menu_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: libxml2-devel >= %libxml_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libsoup-devel >= %soup_ver
BuildPreReq: libgtop2-devel >= %libgtop_ver
BuildPreReq: evolution-data-server-devel >= %eds_ver
# NetworkManager is not in Sisyphus yet.
#BuildPreReq: libnm-glib-devel >= %libnm_glib_ver
BuildPreReq: gnome-doc-utils

BuildRequires: libSM-devel zlib-devel

%description
bug-buddy is a druid based tool which steps you through the GNOME bug
submition process.  It can automatically obtain stack traces from core
files or crashed applications.  Debian and KDE bug tracking systems are
also supported.

%prep
%setup -q
%__rm COPYING
%__ln_s %_licensedir/GPL-2 COPYING

%build
%configure \
    --disable-scrollkeeper \
    --disable-schemas-install

%make_build

%install
%makeinstall

%find_lang %name --with-gnome

%post
%gconf2_install %name
%update_scrollkeeper

%postun
if [ $1 = 0 ]; then
    %gconf2_uninstall %name
fi
%clean_scrollkeeper

%files -f %name.lang
%doc AUTHORS ChangeLog NEWS README TODO COPYING.*
%doc --no-dereference COPYING
%_bindir/*
%_datadir/applications/*
%_liconsdir/%name.png
%_datadir/bug-buddy
%config %_sysconfdir/gconf/schemas/*

%exclude %_iconsdir/hicolor/icon-theme.cache

%changelog
* Sat Sep 23 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt2
- rebuild with newer evolution-data-server.

* Tue Sep 05 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt1
- new version
- updated dependencies and the file list

* Sun Apr 02 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.0-alt1
- new version (2.14.0)
- fixed Url.

* Sat Feb 25 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.0-alt1
- new version (2.13.0)
- removed Debian menu support
- buildreqs revised

* Sat Oct 01 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.1-alt1
- 2.12.1

* Sat Sep 10 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.0-alt1
- 2.12.0
- Removed excess buildreqs.

* Sun Sep 04 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.11.92-alt1
- 2.11.92

* Sun Jul 03 2005 Mikhail Zabaluev <mhz@altlinux.ru> 2.10.0-alt1
- Updated to 2.10.0
- Buildreq

* Wed Nov 03 2004 Mikhail Zabaluev <mhz@altlinux.ru> 2.8.0-alt1
- Updated to 2.8.0

* Sat Apr 10 2004 Mikhail Zabaluev <mhz@altlinux.ru> 2.6.0-alt1
- Updated to 2.6.0
- Generate system menus from Gnome .desktop files

* Sat Mar 22 2003 Mikhail Zabaluev <mhz@altlinux.ru> 2.2.103-alt1
- new version

* Wed Oct 23 2002 Stanislav Ievlev <inger@altlinux.ru> 2.2.0-alt1
- new version
- cleanup spec

* Tue Aug 17 2001 AEN <aen@logic.ru> 2.0.8-alt1
- new version
* Mon May 28 2001 AEN <aen@logic.ru> 2.0.1-alt1
- new version
- requires gdb

* Tue Feb 27 2001 AEN <aen@logic.ru> 1.90-ipl1mdk
- 1.90
* Sat Jan 13 2001 AEN <aen@logic.ru>
- RE adaptations

* Sun Nov 19 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2-1mdk
- new and shiny source.

* Tue Oct 24 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.1-1mdk
- new version 1.1

* Wed Sep  6 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.0-4mdk
- fixed langs
- further macroszification

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0-3mdk
- automatically added BuildRequires

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 1.0-2mdk
- macrozification

* Thu Jul 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-1mdk
- release 1.0
- remove docdir define (for BM)
- update menu macros
- embed menu file in spec (but don't add it, see 0.7-4mdk)
- modify icons to be transparent

* Wed May 03 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9-2mdk
- 32*32 icon
- remove hardcoded path to icons .

* Tue May 02 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9-1mdk
- release 0.9
- fix bug (seg fault when the about button is pressed)

* Thu Apr 20 2000 Daouda Lo <daouda@mandrakesoft.com> 0.8-1mdk
- release  0.8
- force path to help file

* Tue Apr 18 2000 Pixel <pixel@mandrakesoft.com> 0.7-5mdk
- fix %%post

* Tue Apr 11 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7-4mdk
- add icon.
- build from helix.
- remove Mandrake entry (possible conflicts with our future bugzilla database
  system)

* Wed Mar 29 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7-3mdk
- really add  the menu entry (forgot to remove some stuffs)
- this come from Helix distro.

* Wed Mar 29 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7-2mdk
- add a Mandrake entry to report bug easily and directly to bug@mandrakesoft.com
- add menu entry.

* Tue Mar 28 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7-1mdk
- first build for Mandrake.

